get-recipes-list¶
Source¶
Repository:
jef-systems/jef-caferimo-backendModule:
caferimoLambda:
jef-caferimo-get-recipes-listCommit:
7e7033f98df9a7ca25ecfd8c78159a2f50b2d1cf
Endpoint¶
API Name:
jef-caferimoAction Name:
getMethod:
GETResource Path:
/get-recipes-listComplete Endpoint:
https://kxg0awctg2.execute-api.ap-southeast-1.amazonaws.com/prod/get-recipes-listLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-get-recipes-listcurl payload mode:
query_string
API Gateway Description¶
Function: jef-caferimo-get-recipes-list
API Name: jef-caferimo
Action: get
Method: GET
Resource Path: /get-recipes-list
Payload:
- limit: number-whole-number-optional
Response:
- exists: boolean
- message: string
- items: [{"pk":"string","recipe_number":"string-4-digits","recipe_name":"string","specifications":[{"key":"string","value":"string"}],"equipments":[{"asset_number":"string","asset_name":"string"}],"ingredients":[{"jsin":"string","barcode":"string","product_name":"string","product_unit":"string"}],"steps":[{"step_number":"number-whole-number","title":"string","description":"string","ingredients":[{"jsin":"string","barcode":"string","product_name":"string","product_unit":"string","quantity":"number-two-decimals","quantity_unit":"string"}],"equipments":[{"asset_number":"string","asset_name":"string","quantity":"number-two-decimals","quantity_unit":"string"}]}],"outputs":[{"key":"string","value":"string"}]}]
- count: number-whole-number
- last_evaluated_key: string-optional
Request Payload¶
{
"limit": "number-whole-number-optional"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"pk\":\"string\",\"recipe_number\":\"string-4-digits\",\"recipe_name\":\"string\",\"specifications\":[{\"key\":\"string\",\"value\":\"string\"}],\"equipments\":[{\"asset_number\":\"string\",\"asset_name\":\"string\"}],\"ingredients\":[{\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\"}],\"steps\":[{\"step_number\":\"number-whole-number\",\"title\":\"string\",\"description\":\"string\",\"ingredients\":[{\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\",\"quantity\":\"number-two-decimals\",\"quantity_unit\":\"string\"}],\"equipments\":[{\"asset_number\":\"string\",\"asset_name\":\"string\",\"quantity\":\"number-two-decimals\",\"quantity_unit\":\"string\"}]}],\"outputs\":[{\"key\":\"string\",\"value\":\"string\"}]}]",
"count": "number-whole-number",
"last_evaluated_key": "string-optional"
}
CMD curl¶
curl "https://kxg0awctg2.execute-api.ap-southeast-1.amazonaws.com/prod/get-recipes-list?limit=number-whole-number-optional"
PowerShell curl¶
curl.exe "https://kxg0awctg2.execute-api.ap-southeast-1.amazonaws.com/prod/get-recipes-list?limit=number-whole-number-optional"